The tag has no usage guidance.

learn more… | top users | synonyms

0
votes
3answers
1k views

DEB: “Provides:” field ignored

I need to replace a package with a custom one, which gets its own name (foo-origpackage). To allow it to be used as drop-in replacement, I added the Provides: origpackage line to the control file. apt-...
1
vote
1answer
155 views

How do I make a service depend on another service on different server?

I have some java processes which need to be started by roster: J1 on X --> J2 on Y --> J3 on Z An idea comes to my mind is let J1 start automatically and use Nagios + NRPE to start J2 based ...
0
votes
2answers
250 views

Erlang install error on Fedora 13

I am attempting to install RabbitMQ on a Fedora 13 box. This requires Erlang is installed. When I run yum install erlang I get the following messages. Yum seems to indicate that it resolved all the ...
1
vote
3answers
418 views

How to identify missing dependencies when installing from source code?

How does system administrators identify which dependencies are missing when installing an application from source code?
0
votes
2answers
554 views

Broken Dependencies on Debian

Currently running Debian Lenny (5.0.9). I added the following test repos to install a specific package; deb http://ftp.debian.org/debian/ testing main contrib deb-src http://ftp.debian.org/debian/ ...
2
votes
2answers
240 views

Start/stop Windows Service A also Start/stop Windows service B

I created two Windows services A and B, and would like to add dependency between them so that I can: Start service A (service B starts automatically) Stop service A (service B stops automatically) ...
1
vote
1answer
2k views

Applications not installing due to unmet dependencies

I was running Apache on Linode. I recently shifted to Lighttpd and removed apache, now whenever I try to install any application I get the following error. ivineet:~# apt-get install subversion ...
2
votes
2answers
3k views

yum update dependency error (already installed)

i'm facing the following error: Transaction Check Error: package apr-1.3.12-1.jason.1.x86_64 (which is newer than apr-1.2.7-11.el5_6.5.cloudlinux.2.i386) is already installed This is on cloudlinux. ...
1
vote
0answers
2k views

Fixing problems with yum, urllib2, and missing dependencies?

I've been trying to resolve the following problem with yum / python's urllib2: [root@...]# yum Traceback (most recent call last): File "/usr/bin/yum", line 4, in ? import yum File "/usr/lib/...
1
vote
5answers
17k views

Centos 6 yum update - Packages skipped because of dependency problems

I'm trying to keep my offsite backup server up to date so I've run an update and I'm getting dependency issues. I haven't got a clue how to continue. Below is the output from from YUM. [root@...
2
votes
2answers
3k views

Debian: How to use “apt-get install” without upgrading dependencies? [duplicate]

Possible Duplicate: How do I get apt-get to ignore some dependencies? I need to install some packages. The package A has the package B as a dependency and requires to be (>2.0). I have ...
2
votes
2answers
89 views

Is there a convential way to manage Ruby on Rails server dependencies?

We use Chef to set up our servers, but I'm looking for a way to consolidate our server dependencies into a single config file that lives in source control. We use capistrano for deployments, a custom ...
0
votes
1answer
1k views

Installation of net-snmp - How do I resolve the dependencies?

I'm trying to install net-snmp on Redhat 2.6.9-55.ELsmp by following the instructions. The problem is I get this: grep: /usr/lib/libbeecrypt.la: No such file or directory /bin/sed: can't read /usr/...
1
vote
1answer
1k views

Debian package installation problems - Bus errors, dpkg post-installation exit status 135

I tried to install curl support for php 5 on my debian squeeze machine and since I'm having problems. After trying to install curl I got dependency issues which I tried to solve by removing what ...
1
vote
2answers
107 views

A basic question with yum

I am trying to edit the source of a package and make it work. Thus, I didnt use yum install, I installed it from source and it is working. The package im building from source is libvirt. Now I want to ...
3
votes
2answers
362 views

How to manage dependencies on PEAR packages

It seems to me that PEAR is picking up steam again, at least as a distribution mechanism. With the availability of simple PEAR channel servers that are actually simple (e.g. Pirum) it seems many ...
2
votes
2answers
1k views

dpkg-checkbuilddeps?

I'm trying to build an application from source on a Debian machine; the source code includes a 'debian' directory with all the files required to build the package (control/rules etc.). When I run ...
1
vote
1answer
2k views

Running application as user: MSComm32.ocx error

(I'm not sure this is the best place to ask this question, so if not, please redirect me to it) I'm setting up a new win2008R2 terminal server and am having issues with an application that runs fine ...
1
vote
1answer
4k views

How do I ignore unmet dependencies when using apt-get -f install?

I'm trying to use apt-get to install imagick. Should be simple enough. This is my command. apt-get install imagemagick libmagickcore-dev libmagickwand-dev However instead of installing it keeps ...
8
votes
1answer
911 views

How to manage Nagios dependencies on big clusters?

I'm using quite a big nagios configuration (about 4000 services), without any dependencies. This results in a huge mess of notifications when something goes wrong. I try to look for best practices ...
1
vote
1answer
1k views

Dependency Hell trying to install GCC on CentOS4

I have a production CentOS 4.4 box running Virtuozzo VPSes, and I'm trying to install GCC inside one of them so I can install the latest PHP from source. I downloaded gcc and its dependencies from a ...
1
vote
1answer
73 views

How do I as an application sys-admin monitor Verified by VISA and MasterCard SecureCode?

We integrate with 3 payment service providers in multiple countries, and sporadically we will get customer reports that the 3DSecure-check part of the payments-process is not working. We've yet to ...
1
vote
2answers
381 views

Use Debian 6.0 (Squeeze) packages on Debian 5.0 (Lenny) instalation

Currently I have installed Debian Lenny on virtualized server provided by my local ISP. I can't upgrade it, can configure it however I want, to Squeeze but I need newest package versions provided by ...
1
vote
2answers
2k views

debian dependencies (libssl-dev and libncurses5)

I'm trying to install under RVM the Ruby Enterpise (REE) under debian My debian is squeeze (uname -r) 2.6.18-194.26.1.el5.028stab070.14xen i did try to install ree but it complains that it is ...
4
votes
2answers
4k views

How do I make one service dependent on another in Windows 7?

If I view properties for a service, I can see the "Dependencies" tab, but I can't assign other services to this tab. I have two services that start on startup, a server and a database. The server ...
4
votes
2answers
782 views

Nagios: Only send notification when all 4 host are down

As part of a larger complex, is a small office building with 4 computers. It has a single cat5 run to a non-managed switch that has 4 computers connected to it. Since I can't ping the switch, the ...
2
votes
3answers
1k views

How can I set default versions of MySQL, Postgres, Apache, etc. prior to installing anything from ports in FreeBSD?

When I install software from ports on a FreeBSD system, sometimes rather outdated versions of Apache/MySQL/Perl/etc are installed as dependencies. Is there any way to set the versions of these ports ...
41
votes
9answers
78k views

How do I get apt-get to ignore some dependencies?

How do I make apt-get ignore some dependencies? For example, I wanted to install mailx so I can use it to send email from cron scripts/report-generating tools. However, installing mailx also installs ...
0
votes
1answer
1k views

Missing Dependency Errors when Installing OpenVas Server

I'm trying to install OpenVAS on Red Hat Enterprise Linux 5.5. I've successfully run yum install openvas-client, but yum install openvas-server prints the following errors: --> Finished Dependency ...
0
votes
1answer
690 views

What depends on glibc.i686 — yum

yum is skipping certain packages because of glibc.i686. What I want to know is what is using glibc.i686 ( which I guess is the source of the failure ) ? sudo yum -y update --skip-broken [sudo] ...
1
vote
1answer
478 views

Managing Internal Yum Repository Groups

What is the best method for handling yum groups dependencies? For example, take this comps.xml file <comps> <group> <id>production</id> <name>Production</...
4
votes
3answers
5k views

Handling FreeBSD package upgrades using pkg_add

I'm trying to use FreeBSD's pkg_add command to install and upgrade binary packages in a build-once-install-on-multiple-machines sort of scenario. It works well when installing a new package, but ...
1
vote
2answers
567 views

How do you find dependencies when installing software?

In software installation tutorials, they always have a long list of dependencies. How do they find those dependencies? For example, I'm starting on a fresh Ubuntu server, following directions to ...
4
votes
2answers
7k views

yum depsolving problems - package already installed?

In trying to do a 'yum update' I've started to hit the following error on a number of my systems: --> Running transaction check --> Processing Dependency: freetype = 2.2.1-28.el5_5 for package: ...
0
votes
1answer
57 views

Is there any suggestions if I want a dependency tool?

Our company adopt Perforce to realize code control. So we have to download all packages needed from P4 server. The major Linux distributions we use are RedHat and Ubuntu. Now we need a dependency ...
17
votes
3answers
40k views

How to list RPM dependencies?

Our production server is running CentOS release 5.2 (Final). How do I see/get/list all the dependencies of an already installed RPM package? For example: SQLite v3.3.6 is already installed in the ...
1
vote
2answers
405 views

What tool for tracking application/db/service installations and dependencies? [closed]

In our organisation, we have 4 layers of environments (DEV, INT, UAT, PROD). In each layer there are 1-3 sets of the following SOA environment (one per GUI application project): Around 5-10 physical/...
0
votes
1answer
521 views

General procedures and tips for solving dependency problems (Debian, Lenny)

I'm more or less as good a sysadmin as my serverfault rep mirrors. I have to upgrade a Debian (lenny) server with Plesk control panel. Plesk is supposed to manage that but the upgrade over the control ...
0
votes
1answer
806 views

Error when trying to install iRedMail

I'm trying to install iRedMail mail server, but when I run the installation script, I get the following error message: The following packages have unmet dependencies: php5-common: Conflicts: php5-...
1
vote
2answers
79 views

Install Package dependencies separately over Cloud

Install Package dependencies separately over Cloud Hi all, I am working on a project that sets up packages on the cloud. For example, If i want to setup Drupal, i need seperate machines to maintain ...
3
votes
2answers
240 views

Checking deb dependencies against the current system

I know I can list the .deb's dependencies using dpkg --info, but is there any automated way to check those dependencies against the current system? What I'm interested in, the status: whether the ...
3
votes
1answer
4k views

Which RPM fixes this failed RedHat dependency?

Problem I'm installing an RPM on RedHat Enterprise Linux 5 and it fails with the following error: error: Failed dependencies: rpmlib(PayloadIsLzma) <= 4.4.6-1 is needed by vspd-1/43-rsmu.i586 ...
1
vote
1answer
3k views

not able to install g++ and gcc on debian [closed]

I want to use directadmin as my web control panel and it needs several packages like g++ , gcc and etc... as usuall I started to type apt-get install g++ and there problems start : dependecy error......
2
votes
2answers
10k views

Linux says a kernel module has an unknown symbol, but another loaded module provides it

I'm trying to install a driver for a USB DAQ box, which annoyingly, I have to compile myself. I believe I've succeeded -- I have two .ko files: -rw-r--r-- 1 root root 45271 2010-03-18 21:24 ...
0
votes
2answers
361 views

Error while installing safesquid

When i try to install safesquid i get error message "libldap_r.so.2 => not found", How can i solve it ? I am using RHEL 5 I installed squid 2.6 stable
6
votes
2answers
2k views

Dependencies from a .deb file

Given just a .deb file, how do I get the list of dependencies?
0
votes
2answers
3k views

Can't install because of missing/broken (virtual) packages

First: I come from stackoverflow - I'm a programmer, not a sysadmin. Please be understanding of my ineptitude with these matters; I'll try to be as precise as possible (retagging and re-titling may be ...
1
vote
1answer
235 views

Is there a minimal php5ts.dll?

I've completed my web app and am using mongoose to serve the php pages. The whole app & mongoose is less then 2MB. The php5ts.dll is almost 5MB so that really adds bloat. Also, my app is very ...
32
votes
7answers
38k views

Linux: how to restore config file using apt-get/aptitude?

I've occasionally lost my config file "/etc/mysql/my.cnf", and want to restore it. The file belongs to package mysql-common which is needed for some vital functionality so I can't just purge &&...
0
votes
2answers
404 views

Tools to track package dependencies

Many package managers in Linux distributions and BSD flavors track package dependencies. But before a package goes into a repository, it is investigated by a maintainer, who tracks the dependencies ...